import 'package:finbox_dc_plugin/finbox_dc_plugin.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: HomePage(),
    );
  }
}

class HomePage extends StatelessWidget {

  String _deviceConnectValue = "";
  static String customerId = 'customer_id';
  static String apiKey = 'api_key';

  Future _loadDC() async {
    try {
      _deviceConnectValue = await FinBoxDcPlugin.loadDeviceConnect(customerId, apiKey);
    } on PlatformException catch (e) {
      _deviceConnectValue = 'Failed to fetch data';
      print(e.message);
    }
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text("Sample"),
      ),
      body: Center(
        child: RaisedButton(
          onPressed: _loadDC,
          child: Text("Load DeviceConnect"),
        ),
      ), // This trailing comma makes auto-formatting nicer for build methods.
    );
  }
}